Get an App - App Registry
Get an App
POST /api/v1/app-registry/get
Content-Type: application/json
Authorization: Bearer <KS>
{
"id": "app-guid-here"
}
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | App GUID to retrieve |
Response: Full app object.
{
"id": "6f8a3c12-4b5d-4e9f-a1c7-8d2e3f4a5b6c",
"partnerId": 1234567,
"appCustomId": "my-events-site-01",
"appCustomName": "Annual Conference Portal",
"appType": "ep",
"status": "enabled",
"version": 0,
"createdAt": "2026-04-09T04:56:27.940Z",
"updatedAt": "2026-04-09T04:56:27.940Z",
"objectType": "App"
}
curl -X POST "$KALTURA_APP_REGISTRY_URL/app-registry/get" \
-H "Authorization: Bearer $KALTURA_KS" \
-H "Content-Type: application/json" \
-d "{\"id\": \"$APP_GUID\"}"
Returns OBJECT_NOT_FOUND if the app does not exist or belongs to a different partner.